(module run-tests mzscheme
  (require "app-tests.scm"
           "app-bad-tests.scm"
           "dw-tests.scm"
           "mv-tests.scm"
           "eval-tests.scm"
           "tl-tests.scm"
           "test.scm"
           "redex.scm")
  (require (prefix app: "app.scm")
           (prefix app-bad: "app-bad.scm")
           (prefix dw: "dw.scm")
           (prefix mv: "mv.scm")
           (prefix eval: "eval.scm")
           (prefix tl: "tl.scm"))
  
  (define ((n reductions) term) (apply-reduction-relation reductions term))
  
  (run-test-suite app-ts (n app:reductions))
  (run-test-suite app-bad-ts (n app-bad:reductions))
  (run-test-suite mv-ts (n mv:reductions))
  (run-test-suite eval-ts (n eval:reductions))
  (run-test-suite tl-ts (n tl:reductions))
  (run-test-suite dw-ts (n dw:reductions)))
